Comment 1 for bug 1660725

Bryce Harrington (bryce) wrote :

From the error tracker, this crash was seen in apache versions between 2.4.6 (Ubuntu 13.10) and 2.4.27 (Ubuntu 17.10) but there have been no instances of the issue on Ubuntu 18.04 or newer. It appears to still exhibit itself in the version published for Ubuntu 16.04, apache2 2.4.18-2ubuntu3.14. There is a .15 in proposed for xenial but it doesn't sound like a fix for this crash. So the issue is still relevant for xenial at least. Indeed, the last occurrence reported was Jan 23, 2020.

The fault occurs in php7.0 code, during the php module shutdown codepath, where a destructor freeing a hash tries to unmap an invalid pointer. Since this occurs during cleanup, it may not have shown noteworthy symptoms, which may be why it stayed around for so long.